Subject: Re: 802.1p, skb->priority, CoS for transit traffic not working?

From: Denys Fedoryshchenko <[email-masked]>
Date: Sun, 5 Oct 2008 22:03:37 +0300

On Sunday 05 October 2008, Patrick McHardy wrote:
> Denys Fedoryshchenko wrote:
> > I'm trying to set CoS tag, to manage priorities on my microwave link.
> > Possible such setup will be very useful also to set classify traffic
> > passing QoS. A lot of hardware support this simple L2 QoS.
> >
> > [...]
> > Is there a way to make work changing transit packets 802.1p values?
>
> Bridging traffic to a VLAN device should work, you can then
> define the priority for the device. I'm not aware of an easier
> method, but I believe act_pedit should also be able to do this.

Seems my silly mistake, i used wrong option in skbedit (first which i seen in 
example). 
Thanks to Intel guys, now it is possible also by this way:

tc qdisc del dev eth2.10 root
tc qdisc add dev eth2.10 root handle 1: prio
/sbin/tc filter add dev eth2.10 parent 1:0 protocol all u32 match u32 0 0 
action skbedit priority 3

So it is possible now to do 802.1p marking on router(not bridge), by u32 
filter or whatever.

tc qdisc del dev eth2.10 root
tc qdisc add dev eth2.10 root handle 1: prio
/sbin/tc filter add dev eth2.10 parent 1:0 protocol all u32 match u32 0 0 
action skbedit priority 3

Like this it works

And thanks again, i am really impressed by opensource initiatives of Intel, 
and quality/performance/cost of their network products.